Update an Integration User

patch

/cpq/rest/v19/integrationUsers/{partyNumber}

This endpoint updates details for an existing integration user.

Request

Supported Media Types
Path Parameters
Body ()
Root Schema : integrationUser-request
Type: object
Show Source
Nested Schema : Groups
Type: object
Title: Groups
Groups to which the user belongs
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : Group
Type: object
Title: Group
User group information
Show Source
Back to Top

Response

Supported Media Types

Default Response

Updated User details
Body ()
Root Schema : integrationUser
Type: object
Show Source
Nested Schema : Company details
Type: object
Title: Company details
User Company details. Applicable only for Users Across Companies
Show Source
Nested Schema : Currency
Type: object
Title: Currency
Currency preference of user. Value holds currency code
Show Source
Nested Schema : Date Format
Type: object
Title: Date Format
User preferred date time format
Show Source
Nested Schema : Groups
Type: object
Title: Groups
Groups to which the user belongs
Show Source
Nested Schema : Language
Type: object
Title: Language
Language preference of user. Value holds language code
Show Source
Nested Schema : Number Format
Type: object
Title: Number Format
Preferred number format of user
Show Source
Nested Schema : TimeZone of user
Type: object
Title: TimeZone of user
User preferred timezone
Show Source
Nested Schema : Type
Type: object
Title: Type
Type of the user
Show Source
Nested Schema : Units
Type: object
Title: Units
User preferred units
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : Group
Type: object
Title: Group
User group information
Show Source
Back to Top

Examples

The following example shows how to update details for an existing integration user by submitting a PATCH request to the REST resource using cURL. For more information about cURL, see Use cURL.

curl -X PATCH  -H "Authorization: Bearer <token>" -H "Content-type: application/json" -H "Accept: application/json"
https://sitename.oracle.com/cpq/rest/v19/integrationUsers/BM_LaeNrP1bCh5

Request Body Sample

{
  "groups": {
    "items": [{
        "label": "No Longer Used 07",
        "variableName": "excludeMDBParts",
        "type": "Sales"
      }, {
        "label": "3_14159265359",
        "variableName": "a314159265359",
        "type": "Administrator"
      }
    ]
  }
}

Response Body Sample

{
  "login": "_custom_d4279b7d50a843ffb14c709dab1f1418",
  "isNotifyFax": false,
  "isNotifyEmail": true,
  "isSuperUserPermEnabled": false,
  "isApplicationAdminPermEnabled": false,
  "isWebServicesOnly": true,
  "isAccessAdminPermEnabled": false,
  "isProxyPermEnabled": false,
  "partyId": 318766884429645907,
  "partyNumber": "BM_LaeNrP1bCh5",
  "id": 3024590297,
  "dateModified": "2025-10-14T08:38:37.000Z",
  "dateAdded": "2025-10-14T08:29:21.000Z",
  "links": [{
      "rel": "self",
      "href": "http://sitename.oracle.com/cpq/rest/v19/users/BM_LaeNrP1bCh5"
    }, {
      "rel": "child",
      "href": "http://sitename.oracle.com/cpq/rest/v19/users/BM_LaeNrP1bCh5/groups"
    }
  ],
  "type": {
    "value": "FULL_ACCESS",
    "displayValue": "FullAccess"
  },
  "language": {
    "value": "en_US",
    "displayValue": "English"
  },
  "currency": {
    "value": "USD",
    "displayValue": "US Dollar"
  },
  "numberFormat": {
    "value": 0,
    "displayValue": "####.##"
  },
  "timeZone": {
    "value": "America/Chicago",
    "displayValue": "(GMT-6:00 GMT-5:00) Chicago"
  },
  "units": {
    "value": 1,
    "displayValue": "English"
  },
  "dateFormat": {
    "value": 0,
    "displayValue": "MM/dd/yyyy h:mm a"
  },
  "status": {
    "value": 1,
    "displayValue": "Active"
  },
  "oauthClientId": "d4279b7d50a843ffb14c709dab1f1418",
  "company": {
    "name": "cpq-mdb",
    "loginName": "cpq-mdb"
  }
}
Back to Top